ATHSTATS(8)

NAME
athstats - simple tool to inspect and monitor network traffic statistics

SYNOPSIS
athstats [-i device] [interval]

DESCRIPTION
Provide statistics about a madwifi device. Without any arguments, athstats will print a summary of statistical elements for the specified device (defaults to wifi0 when no device is given). If an additional argument is given as an integer, athstats will print progressive statistical data at an interval equal to the integer in seconds.

Statistical elements of the summary report include packets sent/received, tx/rx errors, calibration information and antenna profile data.

The progressive report elements include packet input/output as well as altrate, short, long, xretry, crcerr, crypt, phyerror packet count, rssi and rate data.

The statistical data is derived from device ioctls and /proc/net/dev. For further understanding of how the statistical information is collected and what it represents, please refer to the athstats source code (tools/athstats.c).

OPTIONS

-i device
    The madwifi device to apply the settings to. If no device is specified, athstats defaults to wifi0.

interval
    Define the interval between realtime statistical feedback in seconds.

EXAMPLES

athstats
    Print summary of statistics for wifi0.

athstats 1
    Update a progressive statistical report every 1 second for wifi0.

athstats -i wifi1 5
    Update a progressive statistical report every 5 seconds for wifi1.

SEE ALSO
80211stats(8)

AUTHOR
This manual page was written by Kel Modderman <kelrin@tpg.com.au>.